ippproxy(1)

NAME
ippproxy - a simple ipp proxy client

SYNOPSIS
ippproxy [ -v[vvv] ] infrastructure-printer-uri local-printer-uri

DESCRIPTION
ippproxy is a simple IPP proxy client conforming to the IPP Shared Infrastructure Extensions (INFRA) specification. It can be used to proxy access to a local IPP printer through an Infrastructure Printer such as ippinfra(1).

OPTIONS
The following options are recognized by ippproxy:

-v[vvv]
    Be (very) verbose when logging activity to the standard output.

EXIT STATUS
The ippproxy program returns 1 if it is unable to process the command-line arguments or connect to either the infrastructure or local printers. Otherwise ippproxy will run continuously until terminated.

CONFORMING TO
The ippproxy program is unique to CUPS and conforms to the IPP Shared Infrastructure Extensions (INFRA) specification.

EXAMPLE
Run ippproxy with an infrastructure URI of "ipps://host.example.com/ipp/print" and a local URI of "ipp://10.0.1.2/ipp/print":
    ippproxy ipps://host.example.com/ipp/print ipp://10.0.1.2/ipp/print

SEE ALSO
PWG Internet Printing Protocol Workgroup (http://www.pwg.org/ipp)

COPYRIGHT
Copyright © 2007-2014 by Apple Inc.